Mercer County Permits

Welcome, Guest!
Log in | Sign up
 
Font Size:
Moving Overwidth Permit# 2020-02321, UID# 2941
App. Status: Expired

Valid: 11/16/2020 - 11/19/2020
Mercer County Highway Department
1809 7th ST NE
Beulah, ND 58523-0412
(701)873-5586
 

Terms

General
  • The applicant or permittee, as a condition for obtaining an over-sized or overweight, or both, permit, shall assume all responsibility for accidents, damage, or injury to any persons or damage to public or private property caused by the movement of any oversize of overweight, or both , vehicle or load covered by the permit while upon Mercer County roadways. The applicant or permitee agrees to indemnify and hold harmless the Mercer County Sheriff's Office, County of Mercer, their officers, and employees from any and all claims resulting directly or indirectly from the movement of an oversize or overweight, or both, vehicle or load on any Mercer County Roadway.

  • This permit to be carried on vehicle during the above-mentioned movement . This permit shall be open to inspection by any peace officer.

  • Payment for permit must be submitted after approval.

Invoice #2642 (11/13/2020)

Charge Cost Quantity Total
Non-Taxable
added 11/13/2020 2:12 PM

Fee for over width permit

$30.00 x 1 $30.00
added 11/13/2020 1:54 PM

Select this fee if the empty load is overwidth. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
Grand Total
Total $60.00
Payment 11/13/2020$60.00
Due$0.00
Action: Print  

Approvals

ApprovalSignatureOptions
ApplicantJOANNA JUNGLES - 11/13/2020 1:56 PM
4d6682f53aecc3885e6e4dd6fcb5bcca
7250fd167714d6ecbee458cff5033bb8
 
#1 Permit Issuing OfficialKen Miller - 11/13/2020 2:12 PM
e31a392f19ab4a242c609f021b4371bf
eb329b6e94073d69bf84059e23987d1d
 
Permit has been approved. All signatures have been obtained.